File & ServeXpress Resource Center


File & ServeXpress System Requirements

Learn "System Requirements" with File & ServeXpress by selecting one of these categories:

    Supported Browsers and Operating Systems

    Browsers and Operating Systems Grid

    Browser/Platform

    IE 9.x, 10.x

    IE 11.x

    Chrome 41.X

    Safari 5.x, 6.x

    Safari 7.x

    Firefox 28.x , 29.x, 30.x, 31.x

     

    Windows XP (Professional, Home)

    Not Supported

    Not Supported

    Not Supported

    Not Supported

    Not Supported

    Not Supported

     

    Windows Vista

    Not Supported

    Not Supported

    Not Supported

    Not Supported

    Not Supported

    Not Supported

     

    Windows 7

    Not Supported

    Certified

    Supported

    Not Supported

    Not Supported

    Supported

     

    Mac OS X

    Not Supported

    Not Supported

    Not Supported

    Not Supported

    Supported

    Not Supported

     

    Please note that TLS 1.1 or higher needs to be enabled within your browser.  

    If you need help with upgrading your Internet browser or enabling a supported version of TLS, we suggest that you consult with your IT department or an IT Professional.